clang 8.0.0

Public Member Functions | List of all members
clang::ast_matchers::dynamic::Diagnostics::OverloadContext Struct Reference

Context for overloaded matcher construction. More...

`#include "clang/ASTMatchers/Dynamic/Diagnostics.h"`

## Public Member Functions
| OverloadContext (Diagnostics *Error)
| ~OverloadContext ()
void | revertErrors ()
| Revert all errors that happened within this context. More...

## Detailed Description

Context for overloaded matcher construction.

This context will take care of merging all errors that happen within it as "candidate" overloads for the same matcher.

Definition at line 122 of file Diagnostics.h.

## Constructor & Destructor Documentation

## ◆ OverloadContext()

clang::ast_matchers::dynamic::Diagnostics::OverloadContext::OverloadContext | ( | Diagnostics * | Error | ) |

Definition at line 42 of file Diagnostics.cpp.

## ◆ ~OverloadContext()

clang::ast_matchers::dynamic::Diagnostics::OverloadContext::~OverloadContext | ( |  | ) |

Definition at line 45 of file Diagnostics.cpp.

References clang::ast_matchers::dynamic::Diagnostics::ErrorContent::Messages.

## Member Function Documentation

## ◆ revertErrors()

void clang::ast_matchers::dynamic::Diagnostics::OverloadContext::revertErrors | ( |  | ) |

Revert all errors that happened within this context.

Definition at line 56 of file Diagnostics.cpp.

Referenced by clang::ast_matchers::dynamic::internal::OverloadedMatcherDescriptor::create().

The documentation for this struct was generated from the following files:

- include/clang/ASTMatchers/Dynamic/Diagnostics.h
- lib/ASTMatchers/Dynamic/Diagnostics.cpp